Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 23961 - pptpd-1.1.4_beta4 (update)
Summary: pptpd-1.1.4_beta4 (update)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Jared H. Hudson (RETIRED)
URL:
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2003-07-05 04:29 UTC by Ross Dougherty
Modified: 2003-08-10 07:46 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
pptpd-1.1.4_beta4.ebuild (pptpd-1.1.4_beta4.ebuild,1.02 KB, text/plain)
2003-07-05 04:31 UTC, Ross Dougherty
Details
files/pptpd-init (pptpd-init,386 bytes, text/plain)
2003-07-05 04:33 UTC, Ross Dougherty
Details
pptpd-1.1.4_beta4.ebuild (pptpd-1.1.4_beta4.ebuild,1022 bytes, text/plain)
2003-08-02 06:14 UTC, Ross Dougherty
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ross Dougherty 2003-07-05 04:29:01 UTC
Changes:
Version bump
Added the use of the tcpd USE flag
Copies pptpd.conf and options.pptpd from archive instead of being stored on 
rsync
Fixed mistake in pptpd-init


Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Ross Dougherty 2003-07-05 04:31:51 UTC
Created attachment 14168 [details]
pptpd-1.1.4_beta4.ebuild

diff -Naur pptpd-1.1.4_beta3.ebuild pptpd-1.1.4_beta4.ebuild
--- pptpd-1.1.4_beta3.ebuild	2003-07-05 21:24:56.000000000 +1000
+++ pptpd-1.1.4_beta4.ebuild	2003-07-05 21:30:44.000000000 +1000
@@ -4,31 +4,34 @@

 S=${WORKDIR}/poptop-1.1.4
 DESCRIPTION="Linux Point-to-Point Tunnelling Protocol Server"
-SRC_URI="mirror://sourceforge/poptop/pptpd-1.1.4-b3.tar.gz"
+SRC_URI="mirror://sourceforge/poptop/pptpd-1.1.4-b4.tar.gz"
 HOMEPAGE="http://www.poptop.org/"

 DEPEND="virtual/glibc
-	net-dialup/ppp"
+	net-dialup/ppp
+	tcpd? ( sys-apps/tcp-wrappers )"
 RDEPEND="$DEPEND"
 SLOT="0"
 LICENSE="GPL-2"
 KEYWORDS="~x86"
-IUSE=""
+IUSE="tcpd"

 src_compile() {
-	econf --with-bcrelay || die
+	local myconf
+	use tcpd && myconf="--with-libwrap"
+	econf	--with-bcrelay \
+		${myconf} || die
	emake || die
 }

 src_install () {
	einstall || die

-	insinto /etc
-	doins ${FILESDIR}/1.1.4_beta3/pptpd.conf
+	dodir /etc
+	cp ${S}/samples/pptpd.conf ${D}/etc

	dodir /etc/ppp
-	insinto /etc/ppp
-	doins ${FILESDIR}/1.1.4_beta3/options.pptpd
+	cp ${S}/samples/options.pptpd ${D}/etc/ppp

	exeinto /etc/init.d
	newexe ${FILESDIR}/pptpd-init pptpd
Comment 2 Ross Dougherty 2003-07-05 04:33:55 UTC
Created attachment 14169 [details]
files/pptpd-init

diff -Naur pptpd-init.old pptpd-init
--- pptpd-init.old	2003-07-05 21:32:58.000000000 +1000
+++ pptpd-init	2003-07-05 01:37:28.000000000 +1000
@@ -1,7 +1,7 @@
 #!/sbin/runscript

 depend() {
-	net
+	need net
 }

 start() {
Comment 3 Ross Dougherty 2003-08-02 06:14:48 UTC
Created attachment 15358 [details]
pptpd-1.1.4_beta4.ebuild

diff -Naur pptpd-1.1.4_beta3.ebuild pptpd-1.1.4_beta4.ebuild
--- pptpd-1.1.4_beta3.ebuild	2003-08-02 23:12:34.000000000 +1000
+++ pptpd-1.1.4_beta4.ebuild	2003-08-02 23:11:33.000000000 +1000
@@ -4,19 +4,23 @@

 S=${WORKDIR}/poptop-1.1.4
 DESCRIPTION="Linux Point-to-Point Tunnelling Protocol Server"
-SRC_URI="mirror://sourceforge/poptop/pptpd-1.1.4-b3.tar.gz"
+SRC_URI="mirror://sourceforge/poptop/pptpd-1.1.4-b4.tar.gz"
 HOMEPAGE="http://www.poptop.org/"

 DEPEND="virtual/glibc
-	net-dialup/ppp"
+	net-dialup/ppp
+	tcpd? ( sys-apps/tcp-wrappers )"
 RDEPEND="$DEPEND"
 SLOT="0"
 LICENSE="GPL-2"
 KEYWORDS="~x86"
-IUSE=""
+IUSE="tcpd"

 src_compile() {
-	econf --with-bcrelay || die
+	local myconf
+	use tcpd && myconf="--with-libwrap"
+	econf	--with-bcrelay \
+		${myconf} || die
	emake || die
 }

@@ -24,11 +28,10 @@
	einstall || die

	insinto /etc
-	doins ${FILESDIR}/1.1.4_beta3/pptpd.conf
+	doins samples/pptpd.conf

-	dodir /etc/ppp
	insinto /etc/ppp
-	doins ${FILESDIR}/1.1.4_beta3/options.pptpd
+	doins samples/options.pptpd

	exeinto /etc/init.d
	newexe ${FILESDIR}/pptpd-init pptpd
Comment 4 Ross Dougherty 2003-08-02 06:16:32 UTC
Changed dodir/cp to insinto/doins
Comment 5 Jared H. Hudson (RETIRED) gentoo-dev 2003-08-10 07:46:20 UTC
Added net-dialup/pptpd-1.1.4_beta4